Subject: Re: bug#29903: Guile modules compilation fails on master

From: [email-masked] (Ludovic Courtès)
Date: Sat, 06 Jan 2018 14:48:33 +0100

Hi,

Mathieu Lirzin <[email-masked]> skribis:

> [email-masked] (Ludovic Courtès) writes:
>
>> Mathieu Lirzin <[email-masked]> skribis:
>>
>>> I am trying to build Guix master branch (commit
>>> e2f37d6ab7427946e6c68ebaecc97c85d5217234) on Fedora 25.  Here is the
>>> issue I have:
>>
>> [...]
>>
>>>   LOAD     guix/utils.scm
>>>   LOAD     guix/sets.scm
>>>   LOAD     guix/modules.scm
>>>   LOAD     guix/download.scm
>>> ice-9/psyntax.scm:1558:32: In procedure expand-macro:
>>> ice-9/psyntax.scm:1558:32: Syntax error:
>>> unknown location: error: no 'ungexp' substitution (ungexp %utils-module)
>>> Makefile:5314 : la recette pour la cible « make-go » a échouée
>>
>> Is it reproducible?
>
> Definitely.  Always the same error at the same time.
>
>> This looks like <https://bugs.gnu.org/27476>, though in this case you
>> appear to be building things sequentially (-j1; and the “load” phase is
>> sequential anyway.)
>
> I have tested with Guile 2.2.3 installed from source and the issue
> dissapeared.  I don't know if the problem is specific to Guile 2.2.1
> distributed by Fedora.

Oh indeed, it has to do with this bug, fixed in 2.2.2:

--8<---------------cut here---------------start------------->8---
Changes in 2.2.2 (since 2.2.1):

* Bug fixes

** Syntax objects are once more comparable with 'equal?'

The syntax object change in 2.2.1 had the unintended effect of making
syntax objects no longer comparable with equal?.  This release restores
the previous behavior.
--8<---------------cut here---------------end--------------->8---

For reference, 2.2.2 was released two days after 2.2.1, precisely
because of this bug.  Too bad Fedora didn’t pick it up.  :-/

> If not I would suggest rejecting it at configure time.

Done:

  https://git.savannah.gnu.org/cgit/guix.git/commit/?id=142182514b84ee233bc27e574df2ca2074291525

Thanks,
Ludo’.